org.jbpm.process.instance

## Class ProcessRuntimeImpl.SignalManagerSignalAction

- java.lang.Object
- - org.drools.core.phreak.PropagationEntry.AbstractPropagationEntry
  - - org.jbpm.process.instance.ProcessRuntimeImpl.SignalManagerSignalAction

- All Implemented Interfaces:
    org.drools.core.common.WorkingMemoryAction, org.drools.core.phreak.PropagationEntry
  Enclosing class:
    ProcessRuntimeImpl

      public class ProcessRuntimeImpl.SignalManagerSignalAction
      extends org.drools.core.phreak.PropagationEntry.AbstractPropagationEntry
      implements org.drools.core.common.WorkingMemoryAction

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.drools.core.phreak.PropagationEntry

      `org.drools.core.phreak.PropagationEntry.AbstractPartitionedPropagationEntry, org.drools.core.phreak.PropagationEntry.AbstractPropagationEntry, org.drools.core.phreak.PropagationEntry.Delete, org.drools.core.phreak.PropagationEntry.Insert, org.drools.core.phreak.PropagationEntry.PartitionedDelete, org.drools.core.phreak.PropagationEntry.PartitionedUpdate, org.drools.core.phreak.PropagationEntry.PropagationEntryWithResult<T>, org.drools.core.phreak.PropagationEntry.Update`

  - ### Field Summary

    - ### Fields inherited from interface org.drools.core.common.WorkingMemoryAction

      `DeactivateCallback, LogicalRetractCallback, PropagateAction, SignalAction, SignalProcessInstanceAction, WorkingMemoryBehahviourRetract, WorkingMemoryReteAssertAction, WorkingMemoryReteExpireAction`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignalManagerSignalAction(org.drools.core.marshalling.impl.MarshallerReaderContext context)`
    `SignalManagerSignalAction(String type, Object event)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(org.drools.core.common.InternalKnowledgeRuntime kruntime)`
    `void` | `execute(org.drools.core.common.InternalWorkingMemory workingMemory)`
    `org.drools.core.marshalling.impl.ProtobufMessages.ActionQueue.Action` | `serialize(org.drools.core.marshalling.impl.MarshallerWriteContext context)`

    - ### Methods inherited from class org.drools.core.phreak.PropagationEntry.AbstractPropagationEntry

      `defersExpiration, getNext, getSplitForPartition, isCalledFromRHS, isPartitionSplittable, requiresImmediateFlushing, setNext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.phreak.PropagationEntry

      `defersExpiration, getNext, getSplitForPartition, isCalledFromRHS, isPartitionSplittable, requiresImmediateFlushing, setNext`

- - ### Constructor Detail

    - #### SignalManagerSignalAction

          public SignalManagerSignalAction(String type,
                                           Object event)

    - #### SignalManagerSignalAction

          public SignalManagerSignalAction(org.drools.core.marshalling.impl.MarshallerReaderContext context)
                                    throws IOException,
                                           ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

  - ### Method Detail

    - #### execute

          public void execute(org.drools.core.common.InternalWorkingMemory workingMemory)

      Specified by:
        `execute` in interface `org.drools.core.phreak.PropagationEntry`

    - #### execute

          public void execute(org.drools.core.common.InternalKnowledgeRuntime kruntime)

      Specified by:
        `execute` in interface `org.drools.core.phreak.PropagationEntry`
      Overrides:
        `execute` in class `org.drools.core.phreak.PropagationEntry.AbstractPropagationEntry`

    - #### serialize

          public org.drools.core.marshalling.impl.ProtobufMessages.ActionQueue.Action serialize(org.drools.core.marshalling.impl.MarshallerWriteContext context)
                                                                                         throws IOException

      Specified by:
        `serialize` in interface `org.drools.core.common.WorkingMemoryAction`
      Throws:
        `IOException`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.